CORE RESOURCES
Subscriptions
The Subscription object
Subscriptions of a customer, from the billing source.
ATTRIBUTES
- object enum
- subscription
- id string
- customer string
- stripe_subscription_id string | null
- external_id string | null
- livemode boolean
- status enum
- incomplete
- incomplete_expired
- trialing
- active
- past_due
- canceled
- unpaid
- paused
- plan string | null
Show 11 more attributesHide 11 attributes
- amount_cents integer
- currency string | null
- interval string | null
- interval_count integer
- mrr_cents integer
- cancel_at_period_end boolean
Schema: Subscription
THE SUBSCRIPTION OBJECT
{
"object": "subscription",
"id": "nsub_g7DG7iWyLNMTChNe",
"customer": "cst_UJ48q25bPE3jdT3u",
"stripe_subscription_id": "sub_1",
"external_id": null,
"livemode": false,
"status": "active",
"plan": "Pro",
"amount_cents": 4900,
"currency": "eur",
"interval": "month",
"interval_count": 1,
"mrr_cents": 4900,
"current_period_end": "2026-11-24T10:00:00.000Z",
"cancel_at_period_end": false,
"canceled_at": null,
"paused_until": null,
"trial_end": null,
"created_at": "2026-11-04T10:00:00.000Z"
} List subscriptions, optionally for one customer
- Secret key (
nc_test_…ornc_live_…). Restricted keys need read access. - AI apps (OAuth):
readscope.
QUERY PARAMETERS
- customer string
cst_…, cus_… or your id.
- stripe_customer string
- external_id string
- status string
- starting_after string
RETURNS
-
200list — a list of Subscription object (SubscriptionList)
ERRORS
-
404customer_not_found unknown customer
GET/v1/subscriptions
curl https://api.nochurn.sh/v1/subscriptions \
-H "Authorization: Bearer nc_test_…"const res = await fetch("https://api.nochurn.sh/v1/subscriptions", {
headers: {
Authorization: "Bearer nc_test_…",
},
});
const page = await res.json();import requests
res = requests.get(
"https://api.nochurn.sh/v1/subscriptions",
headers={
"Authorization": "Bearer nc_test_…",
},
)
page = res.json()require "net/http"
require "json"
uri = URI("https://api.nochurn.sh/v1/subscriptions")
req = Net::HTTP::Get.new(uri)
req["Authorization"] = "Bearer nc_test_…"
res = Net::HTTP.start(uri.host, uri.port, use_ssl: true) { |http| http.request(req) }
page = JSON.parse(res.body) RESPONSE 200
{
"object": "list",
"data": [
{
"object": "subscription",
"id": "nsub_g7DG7iWyLNMTChNe",
"customer": "cst_UJ48q25bPE3jdT3u",
"stripe_subscription_id": "sub_1",
"external_id": null,
"livemode": false,
"status": "active",
"plan": "Pro",
"amount_cents": 4900,
"currency": "eur",
"interval": "month",
"interval_count": 1,
"mrr_cents": 4900,
"current_period_end": "2026-11-24T10:00:00.000Z",
"cancel_at_period_end": false,
"canceled_at": null,
"paused_until": null,
"trial_end": null,
"created_at": "2026-11-04T10:00:00.000Z"
}
],
"has_more": false,
"next_cursor": null
}